package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 *
 */
@Qualifier("sys_log")
public class SysLog implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7519405302544179512L;
	private Long id;
	private String log_type;
	private String operation;
	private String detail;
	private Date timestamp_;

	public SysLog() {
	}

	public SysLog(Long id, String log_type, String operation, String detail, Date timestamp_) {
		super();
		this.id = id;
		this.log_type = log_type;
		this.operation = operation;
		this.detail = detail;
		this.timestamp_ = timestamp_;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getLog_type() {
		return log_type;
	}

	public void setLog_type(String log_type) {
		this.log_type = log_type;
	}

	public String getOperation() {
		return operation;
	}

	public void setOperation(String operation) {
		this.operation = operation;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public Date getTimestamp_() {
		return timestamp_;
	}

	public void setTimestamp_(Date timestamp_) {
		this.timestamp_ = timestamp_;
	}

}
